GuideLab API

Update a supplier

Updates the details of an existing supplier including contact information, payment terms, and delivery preferences.

PUT
/inventory/suppliers/{id}

Updates the details of an existing supplier including contact information, payment terms, and delivery preferences.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Supplier ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/inventory/suppliers/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "organizationId": "string",    "name": "string",    "code": "string",    "country": "string",    "currency": "string",    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty
Empty
Empty
Empty